<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package STEVEN WATKINS
 * @since STEVEN WATKINS 1.0
 */

							do_action( 'steven_watkins_action_page_content_end_text' );
							
							// Widgets area below the content
							steven_watkins_create_widgets_area( 'widgets_below_content' );
						
							do_action( 'steven_watkins_action_page_content_end' );
							?>
						</div>
						<?php
						
						do_action( 'steven_watkins_action_after_page_content' );

						// Show main sidebar
						get_sidebar();

						do_action( 'steven_watkins_action_content_wrap_end' );
						?>
					</div>
					<?php

					do_action( 'steven_watkins_action_after_content_wrap' );

					// Widgets area below the page and related posts below the page
					$steven_watkins_body_style = steven_watkins_get_theme_option( 'body_style' );
					$steven_watkins_widgets_name = steven_watkins_get_theme_option( 'widgets_below_page' );
					$steven_watkins_show_widgets = ! steven_watkins_is_off( $steven_watkins_widgets_name ) && is_active_sidebar( $steven_watkins_widgets_name );
					$steven_watkins_show_related = steven_watkins_is_single() && steven_watkins_get_theme_option( 'related_position' ) == 'below_page';
					if ( $steven_watkins_show_widgets || $steven_watkins_show_related ) {
						if ( 'fullscreen' != $steven_watkins_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $steven_watkins_show_related ) {
							do_action( 'steven_watkins_action_related_posts' );
						}

						// Widgets area below page content
						if ( $steven_watkins_show_widgets ) {
							steven_watkins_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $steven_watkins_body_style ) {
							?>
							</div>
							<?php
						}
					}
					do_action( 'steven_watkins_action_page_content_wrap_end' );
					?>
			</div>
			<?php
			do_action( 'steven_watkins_action_after_page_content_wrap' );

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! steven_watkins_is_singular( 'post' ) && ! steven_watkins_is_singular( 'attachment' ) ) || ! in_array ( steven_watkins_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="steven_watkins_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'steven_watkins_action_before_footer' );

				// Footer
				$steven_watkins_footer_type = steven_watkins_get_theme_option( 'footer_type' );
				if ( 'custom' == $steven_watkins_footer_type && ! steven_watkins_is_layouts_available() ) {
					$steven_watkins_footer_type = 'default';
				}
				get_template_part( apply_filters( 'steven_watkins_filter_get_template_part', "templates/footer-" . sanitize_file_name( $steven_watkins_footer_type ) ) );

				do_action( 'steven_watkins_action_after_footer' );

			}
			?>

			<?php do_action( 'steven_watkins_action_page_wrap_end' ); ?>

		</div>

		<?php do_action( 'steven_watkins_action_after_page_wrap' ); ?>

	</div>

	<?php do_action( 'steven_watkins_action_after_body' ); ?>

	<?php wp_footer(); ?>

</body>
</html>