<div class="front_page_section front_page_section_googlemap<?php
	$steven_watkins_scheme = steven_watkins_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $steven_watkins_scheme ) && ! steven_watkins_is_inherit( $steven_watkins_scheme ) ) {
		echo ' scheme_' . esc_attr( $steven_watkins_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( steven_watkins_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( steven_watkins_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$steven_watkins_css      = '';
		$steven_watkins_bg_image = steven_watkins_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $steven_watkins_bg_image ) ) {
			$steven_watkins_css .= 'background-image: url(' . esc_url( steven_watkins_get_attachment_url( $steven_watkins_bg_image ) ) . ');';
		}
		if ( ! empty( $steven_watkins_css ) ) {
			echo ' style="' . esc_attr( $steven_watkins_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$steven_watkins_anchor_icon = steven_watkins_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$steven_watkins_anchor_text = steven_watkins_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $steven_watkins_anchor_icon ) || ! empty( $steven_watkins_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $steven_watkins_anchor_icon ) ? ' icon="' . esc_attr( $steven_watkins_anchor_icon ) . '"' : '' )
									. ( ! empty( $steven_watkins_anchor_text ) ? ' title="' . esc_attr( $steven_watkins_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$steven_watkins_layout = steven_watkins_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $steven_watkins_layout );
		if ( steven_watkins_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' steven-watkins-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$steven_watkins_css      = '';
			$steven_watkins_bg_mask  = steven_watkins_get_theme_option( 'front_page_googlemap_bg_mask' );
			$steven_watkins_bg_color_type = steven_watkins_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $steven_watkins_bg_color_type ) {
				$steven_watkins_bg_color = steven_watkins_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $steven_watkins_bg_color_type ) {
				$steven_watkins_bg_color = steven_watkins_get_scheme_color( 'bg_color', $steven_watkins_scheme );
			} else {
				$steven_watkins_bg_color = '';
			}
			if ( ! empty( $steven_watkins_bg_color ) && $steven_watkins_bg_mask > 0 ) {
				$steven_watkins_css .= 'background-color: ' . esc_attr(
					1 == $steven_watkins_bg_mask ? $steven_watkins_bg_color : steven_watkins_hex2rgba( $steven_watkins_bg_color, $steven_watkins_bg_mask )
				) . ';';
			}
			if ( ! empty( $steven_watkins_css ) ) {
				echo ' style="' . esc_attr( $steven_watkins_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $steven_watkins_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$steven_watkins_caption     = steven_watkins_get_theme_option( 'front_page_googlemap_caption' );
			$steven_watkins_description = steven_watkins_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $steven_watkins_caption ) || ! empty( $steven_watkins_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $steven_watkins_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $steven_watkins_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $steven_watkins_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $steven_watkins_caption, 'steven_watkins_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $steven_watkins_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $steven_watkins_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $steven_watkins_description ), 'steven_watkins_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $steven_watkins_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$steven_watkins_content = steven_watkins_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $steven_watkins_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $steven_watkins_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $steven_watkins_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $steven_watkins_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $steven_watkins_content, 'steven_watkins_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $steven_watkins_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $steven_watkins_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! steven_watkins_exists_trx_addons() ) {
						steven_watkins_customizer_need_trx_addons_message();
					} else {
						steven_watkins_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $steven_watkins_layout && ( ! empty( $steven_watkins_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
