<?php
$steven_watkins_woocommerce_sc = steven_watkins_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $steven_watkins_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$steven_watkins_scheme = steven_watkins_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $steven_watkins_scheme ) && ! steven_watkins_is_inherit( $steven_watkins_scheme ) ) {
			echo ' scheme_' . esc_attr( $steven_watkins_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( steven_watkins_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( steven_watkins_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$steven_watkins_css      = '';
			$steven_watkins_bg_image = steven_watkins_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $steven_watkins_bg_image ) ) {
				$steven_watkins_css .= 'background-image: url(' . esc_url( steven_watkins_get_attachment_url( $steven_watkins_bg_image ) ) . ');';
			}
			if ( ! empty( $steven_watkins_css ) ) {
				echo ' style="' . esc_attr( $steven_watkins_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$steven_watkins_anchor_icon = steven_watkins_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$steven_watkins_anchor_text = steven_watkins_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $steven_watkins_anchor_icon ) || ! empty( $steven_watkins_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $steven_watkins_anchor_icon ) ? ' icon="' . esc_attr( $steven_watkins_anchor_icon ) . '"' : '' )
											. ( ! empty( $steven_watkins_anchor_text ) ? ' title="' . esc_attr( $steven_watkins_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( steven_watkins_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' steven-watkins-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$steven_watkins_css      = '';
				$steven_watkins_bg_mask  = steven_watkins_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$steven_watkins_bg_color_type = steven_watkins_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $steven_watkins_bg_color_type ) {
					$steven_watkins_bg_color = steven_watkins_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $steven_watkins_bg_color_type ) {
					$steven_watkins_bg_color = steven_watkins_get_scheme_color( 'bg_color', $steven_watkins_scheme );
				} else {
					$steven_watkins_bg_color = '';
				}
				if ( ! empty( $steven_watkins_bg_color ) && $steven_watkins_bg_mask > 0 ) {
					$steven_watkins_css .= 'background-color: ' . esc_attr(
						1 == $steven_watkins_bg_mask ? $steven_watkins_bg_color : steven_watkins_hex2rgba( $steven_watkins_bg_color, $steven_watkins_bg_mask )
					) . ';';
				}
				if ( ! empty( $steven_watkins_css ) ) {
					echo ' style="' . esc_attr( $steven_watkins_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$steven_watkins_caption     = steven_watkins_get_theme_option( 'front_page_woocommerce_caption' );
				$steven_watkins_description = steven_watkins_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $steven_watkins_caption ) || ! empty( $steven_watkins_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $steven_watkins_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $steven_watkins_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $steven_watkins_caption, 'steven_watkins_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $steven_watkins_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $steven_watkins_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $steven_watkins_description ), 'steven_watkins_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $steven_watkins_woocommerce_sc ) {
						$steven_watkins_woocommerce_sc_ids      = steven_watkins_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$steven_watkins_woocommerce_sc_per_page = count( explode( ',', $steven_watkins_woocommerce_sc_ids ) );
					} else {
						$steven_watkins_woocommerce_sc_per_page = max( 1, (int) steven_watkins_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$steven_watkins_woocommerce_sc_columns = max( 1, min( $steven_watkins_woocommerce_sc_per_page, (int) steven_watkins_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$steven_watkins_woocommerce_sc}"
										. ( 'products' == $steven_watkins_woocommerce_sc
												? ' ids="' . esc_attr( $steven_watkins_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $steven_watkins_woocommerce_sc
												? ' category="' . esc_attr( steven_watkins_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $steven_watkins_woocommerce_sc
												? ' orderby="' . esc_attr( steven_watkins_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( steven_watkins_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $steven_watkins_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $steven_watkins_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
