<?php
/**
 * The template to display default site footer
 *
 * @package STEVEN WATKINS
 * @since STEVEN WATKINS 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$steven_watkins_footer_scheme = steven_watkins_get_theme_option( 'footer_scheme' );
if ( ! empty( $steven_watkins_footer_scheme ) && ! steven_watkins_is_inherit( $steven_watkins_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $steven_watkins_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'steven_watkins_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'steven_watkins_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'steven_watkins_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'steven_watkins_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
