<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package STEVEN WATKINS
 * @since STEVEN WATKINS 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$steven_watkins_copyright_scheme = steven_watkins_get_theme_option( 'copyright_scheme' );
if ( ! empty( $steven_watkins_copyright_scheme ) && ! steven_watkins_is_inherit( $steven_watkins_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $steven_watkins_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$steven_watkins_copyright = steven_watkins_get_theme_option( 'copyright' );
			if ( ! empty( $steven_watkins_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$steven_watkins_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $steven_watkins_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$steven_watkins_copyright = steven_watkins_prepare_macros( $steven_watkins_copyright );
				// Display copyright
				echo wp_kses( nl2br( $steven_watkins_copyright ), 'steven_watkins_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
