<?php
/**
 * The template to display default site footer
 *
 * @package STEVEN WATKINS
 * @since STEVEN WATKINS 1.0.10
 */

$steven_watkins_footer_id = steven_watkins_get_custom_footer_id();
$steven_watkins_footer_meta = get_post_meta( $steven_watkins_footer_id, 'trx_addons_options', true );
if ( ! empty( $steven_watkins_footer_meta['margin'] ) ) {
	steven_watkins_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( steven_watkins_prepare_css_value( $steven_watkins_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $steven_watkins_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $steven_watkins_footer_id ) ) ); ?>
						<?php
						$steven_watkins_footer_scheme = steven_watkins_get_theme_option( 'footer_scheme' );
						if ( ! empty( $steven_watkins_footer_scheme ) && ! steven_watkins_is_inherit( $steven_watkins_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $steven_watkins_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'steven_watkins_action_show_layout', $steven_watkins_footer_id );
	?>
</footer><!-- /.footer_wrap -->
