<?php
/**
 * The template to display the background video in the header
 *
 * @package STEVEN WATKINS
 * @since STEVEN WATKINS 1.0.14
 */
$steven_watkins_header_video = steven_watkins_get_header_video();
$steven_watkins_embed_video  = '';
if ( ! empty( $steven_watkins_header_video ) && ! steven_watkins_is_from_uploads( $steven_watkins_header_video ) ) {
	if ( steven_watkins_is_youtube_url( $steven_watkins_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $steven_watkins_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php steven_watkins_show_layout( steven_watkins_get_embed_video( $steven_watkins_header_video ) ); ?></div>
		<?php
	}
}
